from __future__ import with_statement
# coding: utf-8
from calibre.web.feeds.news import BasicNewsRecipe, AutomaticNewsRecipe
__license__   = 'GPL v3'
__copyright__ = '2010, BlonG'
'''
www.siol.si
'''
from calibre.web.feeds.news import BasicNewsRecipe
class Siol(BasicNewsRecipe):
    title = u'Siol.net'
    __author__ = u'BlonG'
    description = "Multimedijski portal z aktualnimi vsebinami, intervjuji, komentarji iz Slovenije in sveta, sportal, trendi, avtomoto, blogos"
    oldest_article = 3
    max_articles_per_feed = 20
    no_stylesheets = True
    use_embedded_content = False
 
    cover_url = 'https://sites.google.com/site/javno2010/home/siol_cover.jpg'

    extra_css = '''
                    h1{font-family:Arial,Helvetica,sans-serif; font-weight:bold;font-size:large;}
                    h2{font-family:Arial,Helvetica,sans-serif; font-weight:bold;font-size:large;}
                    p{font-family:Arial,Helvetica,sans-serif;font-size:small;}
                    body{font-family:Helvetica,Arial,sans-serif;font-size:small;}
	'''

    html2lrf_options = ['--base-font-size', '10']
 
    keep_only_tags = [
	dict(name='div', attrs={'id':'idContent'}), 
	]

    remove_tags  = [
	dict(name='span', attrs={'class':'com1'}), 
	dict(name='div', attrs={'class':'relation'}),
	dict(name='p', attrs={'class':'path'}),
	dict(name='div', attrs={'class':'clear_r'}),
	dict(name='div', attrs={'id':'appendix'}),
	dict(name='div', attrs={'id':'rail'}),
	dict(name='div', attrs={'id':'div_comments'}),
	dict(name='div', attrs={'class':'thumbs'}),
	]

    feeds          = [
	(u'Slovenija', u'http://www.siol.net/rss.aspx?path=Slovenija')
	,(u'Lokalne novice', u'http://www.siol.net/rss.aspx?path=Slovenija/Lokalne_novice')
	,(u'EU', u'http://www.siol.net/rss.aspx?path=EU')
	,(u'Svet', u'http://www.siol.net/rss.aspx?path=Svet')
	,(u'Gospodarstvo', u'http://www.siol.net/rss.aspx?path=Gospodarstvo')
	,(u'Sportal', u'http://www.siol.net/rss.aspx?path=Sportal')
	,(u'Trendi', u'http://www.siol.net/rss.aspx?path=Trendi')
	,(u'Avtomoto', u'http://www.siol.net/rss.aspx?path=Avtomoto')
	,(u'Tehnologija', u'http://www.siol.net/rss.aspx?path=Tehnologija')
	,(u'TV / Film', u'http://www.siol.net/rss.aspx?path=TV')
	]
